Bug 160757 - jpilot dies w/ glibc backtrace: free(): invalid pointer
jpilot dies w/ glibc backtrace: free(): invalid pointer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jpilot (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ivana Varekova
:
: 160756 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-17 01:21 EDT by Bob Arendt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 17:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from sync crash, /var/log/messages dev attachment (5.65 KB, text/plain)
2005-06-17 01:23 EDT, Bob Arendt
no flags Details
backtrace on restart (dies immediately) (4.46 KB, text/plain)
2005-06-17 01:26 EDT, Bob Arendt
no flags Details
Jpilot test version (with debug info output) (734.12 KB, application/octet-stream)
2005-06-17 08:55 EDT, Ivana Varekova
no flags Details
output from debug jpilot version (13.42 KB, text/plain)
2005-06-17 12:01 EDT, Bob Arendt
no flags Details
The second jpilot test version (with larger debug info output) (734.28 KB, application/octet-stream)
2005-06-20 10:25 EDT, Ivana Varekova
no flags Details
Latin1-No Conversion set, Debug output from Version in Comment #6 (3.99 KB, text/plain)
2005-06-20 13:59 EDT, Raman Gupta
no flags Details

  None (edit)
Description Bob Arendt 2005-06-17 01:21:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Today's update of jpilot dies repeatable on startup, generating a glibc
backtrace.  To ensure this wasn't the effect of prior data, I removed my
$HOME/.jpilot directory.  jpilot started properly.  Entering the device,
it will start syncing, and die with a backtrace partway through.  Attempts
to start thereafter yeild an immediate backtrace.

Regressing to jpilot-0.99.7-2 works.


Version-Release number of selected component (if applicable):
jpilot-0.99.8-0.pre9.fc4.1

How reproducible:
Always

Steps to Reproduce:
1.  Remove $HOME/.jpilot
2.  Start jpilot, set the device to /dev/pilot
3.  Push m125 cradle sync button, then the sync button on jpilot
4.  Sync starts, the it dies and displays a backtrace.

Actual Results:  See attached for initial backtrace, and subsequent startup backtrace.

Additional info:

20% lsusb
Bus 005 Device 001: ID 0000:0000  
Bus 004 Device 001: ID 0000:0000  
Bus 003 Device 004: ID 0830:0040 Palm, Inc. Palm M125
Bus 003 Device 001: ID 0000:0000  
Bus 002 Device 001: ID 0000:0000  
Bus 001 Device 001: ID 0000:0000  
21% ls -l /dev/pilot 
crw-------  1 rda uucp 188, 1 Jun 16 21:47 /dev/pilot
22% jpilot
slow_sync_application: Unable to open file: Keys-Gtkr
*** glibc detected *** jpilot: free(): invalid pointer: 0x43ba4acf ***
======= Backtrace: =========
/lib/libc.so.6[0x438bf424]
/lib/libc.so.6(__libc_free+0x77)[0x438bf95f]
jpilot(get_todos2+0x207)[0x809a423]
jpilot(todo_update_clist+0x72)[0x809c940]
jpilot(datebook_gui+0x124f)[0x807193c]
jpilot[0x807d155]
/usr/lib/libgdk-x11-2.0.so.0[0x48ffb800]
/usr/lib/libglib-2.0.so.0[0x43bc43ac]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1dc)[0x43b9e3ee]
/usr/lib/libglib-2.0.so.0[0x43ba13f6]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a1)[0x43ba16e3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4)[0x491821b5]
jpilot(main+0x2107)[0x807f2f0]
/lib/libc.so.6(__libc_start_main+0xc6)[0x43870de6]
jpilot[0x80539c1]
======= Memory map: ========
00111000-0011b000 r-xp 00000000 03:02 180277     /usr/lib/jpilot/plugins/libexpense.so.0.0.0
0011b000-0011c000 rwxp 00009000 03:02 180277     /usr/lib/jpilot/plugins/libexpense.so.0.0.0
  ... snip ...
Comment 1 Bob Arendt 2005-06-17 01:23:27 EDT
Created attachment 115592 [details]
backtrace from sync crash, /var/log/messages dev attachment
Comment 2 Bob Arendt 2005-06-17 01:26:36 EDT
Created attachment 115593 [details]
backtrace on restart (dies immediately)
Comment 3 Ivana Varekova 2005-06-17 02:21:56 EDT
*** Bug 160756 has been marked as a duplicate of this bug. ***
Comment 4 Ivana Varekova 2005-06-17 08:55:21 EDT
Created attachment 115605 [details]
Jpilot test version (with debug info output)

Hello,
could you please reproduce your bug with this version (there is only added
debug info output) and attach this output.
Thank you.
Ivana Varekova
Comment 5 Bob Arendt 2005-06-17 12:01:47 EDT
Created attachment 115616 [details]
output from debug jpilot version

Did
  rpm -Uvh jpilot-0.99.8-0.pre9.pom.1.i386.rpm
  rsync -a .jpilot/ .jpilot_bak/
    .. this is a working data set from previous jpilot-0.99.8-0.pre8.4	..
  jpilot
    The output was pasted into this attachment.

---
Actually, using this same data set, the previous version outputs:
   30% jpilot
   Error reading file: MemoDB
   Error reading file: MemoDB
   31%

But it works (doesn't crash), and I don't see any evidence of
corruption in the memo's on the palm or in jpilot.
Comment 6 Ivana Varekova 2005-06-20 10:25:36 EDT
Created attachment 115688 [details]
The second jpilot test version (with larger debug info output)

Hello,
could you please reproduce your bug with this version (there is larger debug
info output) and attach this output.
You write in your previous comment that some version does not crash. Which
version it was?
Thank you for your tests.
Ivana Varekova
Comment 7 Raman Gupta 2005-06-20 13:46:26 EDT
I have the same problem. The J-pilot version that came with Fedora Core 4 base
(0.99.8-0.pre8.4.i386) works fine for me with the same dataset.

Note my j-pilot settings are set to UTF-8.

The debug output from the version given in comment #6 is below:

$ jpilot -d
123
opening dir /usr/share/jpilot/
found jpilotrc.default
found jpilotrc.blue
found jpilotrc.green
found jpilotrc.purple
found jpilotrc.steel
opening dir /home/raman/.jpilot/
jp_pref_write_rc_file()
Debug messages on.
calling check_hidden_dir
removing stale pidfile
pidfile: /home/raman/.jpilot/jpilot.pid
opening dir /usr/lib/jpilot/plugins/
found plugin libexpense.so
opened plugin [/usr/lib/jpilot/plugins/libexpense.so]
This plugin is version (0.99).
getting plugin_get_name
Expense: plugin_get_name
getting plugin_get_menu_name
getting plugin_get_help_name
getting plugin_get_db_name
plugin name is [Expense 0.99]
found plugin libkeyring.so
opened plugin [/usr/lib/jpilot/plugins/libkeyring.so]
This plugin is version (0.99).
getting plugin_get_name
KeyRing: plugin_get_name
getting plugin_get_menu_name
getting plugin_get_help_name
getting plugin_get_db_name
plugin name is [KeyRing 0.01]
found plugin libsynctime.so
opened plugin [/usr/lib/jpilot/plugins/libsynctime.so]
This plugin is version (0.99).
getting plugin_get_name
getting plugin_get_menu_name
getting plugin_get_help_name
getting plugin_get_db_name
plugin name is [SyncTime 0.99]
opening dir /home/raman/.jpilot/plugins/
plugin: [Expense 0.99] was loaded
plugin: [KeyRing 0.01] was loaded
plugin: [SyncTime 0.99] was loaded
calling plugin_startup for [Expense 0.99]
Expense: plugin_startup
Expense: base_dir = [/usr]
calling plugin_startup for [KeyRing 0.01]
KeyRing: plugin_startup
KeyRing: base_dir = [/usr]
rc file from prefs is jpilotrc.default
parsing /usr/share/jpilot/jpilotrc.default
parse_geometry()
otherconv.c:other_to_UTF reset iconv state...
otherconv.c:other_to_UTF converting   [Raman Gupta]
otherconv.c:other_to_UTF converted to [Raman Gupta]
get_todos2()
Entering jp_read_DB_files: ToDoDB
Leaving jp_read_DB_files
Leaving get_todos2()
entries_shown=0
set_new_button_to new 1 old 1
dayview_update_clist()
get_days_appointments()
Entering jp_read_DB_files: DatebookDB
Leaving jp_read_DB_files
Floating point exception
Comment 8 Raman Gupta 2005-06-20 13:58:10 EDT
When I set my character set to Latin1-No Conversion, I got different output with
the debug version (jpilot.log is attached):

$ jpilot -d > jpilot.log 2>&1
*** glibc detected *** jpilot: double free or corruption (out): 0xbfe47de8 ***
======= Backtrace: =========
/lib/libc.so.6[0x224424]
/lib/libc.so.6(__libc_free+0x77)[0x22495f]
jpilot(get_memos2+0x2f8)[0x8081b1e]
jpilot[0x808301a]
jpilot(memo_refresh+0x58)[0x80840be]
jpilot(memo_gui+0x12f5)[0x8085d9e]
jpilot(main+0x240a)[0x807f30b]
/lib/libc.so.6(__libc_start_main+0xc6)[0x1d5de6]
jpilot[0x8053861]
======= Memory map: ========
00111000-0018d000 r-xp 00000000 03:42 66499      /usr/lib/libgdk-x11-2.0.so.0.600.7
0018d000-00194000 rwxp 0007c000 03:42 66499      /usr/lib/libgdk-x11-2.0.so.0.600.7
00194000-001a8000 r-xp 00000000 03:42 65660      /usr/lib/libatk-1.0.so.0.901.0
001a8000-001ab000 rwxp 00014000 03:42 65660      /usr/lib/libatk-1.0.so.0.901.0
001ab000-001bf000 r-xp 00000000 03:42 66501     
/usr/lib/libgdk_pixbuf-2.0.so.0.600.7
001bf000-001c1000 rwxp 00013000 03:42 66501     
/usr/lib/libgdk_pixbuf-2.0.so.0.600.7
001c1000-002e5000 r-xp 00000000 03:07 851990     /lib/libc-2.3.5.so
002e5000-002e7000 r-xp 00124000 03:07 851990     /lib/libc-2.3.5.so
002e7000-002e9000 rwxp 00126000 03:07 851990     /lib/libc-2.3.5.so
002e9000-002eb000 rwxp 002e9000 00:00 0
002eb000-002ee000 r-xp 00000000 03:42 3014895    /usr/X11R6/lib/libXrandr.so.2.0
002ee000-002ef000 rwxp 00002000 03:42 3014895    /usr/X11R6/lib/libXrandr.so.2.0
002ef000-002f0000 r-xp 00000000 03:42 180706    
/usr/lib/jpilot/plugins/libsynctime.so.0.0.0
002f0000-002f1000 rwxp 00000000 03:42 180706    
/usr/lib/jpilot/plugins/libsynctime.so.0.0.0
002f1000-0030b000 r-xp 00000000 03:07 851976     /lib/ld-2.3.5.so
0030b000-0030c000 r-xp 00019000 03:07 851976     /lib/ld-2.3.5.so
0030c000-0030d000 rwxp 0001a000 03:07 851976     /lib/ld-2.3.5.so
0030d000-005d9000 r-xp 00000000 03:42 66987      /usr/lib/libgtk-x11-2.0.so.0.600.7
005d9000-00600000 rwxp 002cc000 03:42 66987      /usr/lib/libgtk-x11-2.0.so.0.600.7
00600000-00603000 rwxp 00600000 00:00 0
00603000-0060a000 r-xp 00000000 03:42 3014695    /usr/X11R6/lib/libXi.so.6.0
0060a000-0060b000 rwxp 00006000 03:42 3014695    /usr/X11R6/lib/libXi.so.6.0
0060b000-00631000 r-xp 00000000 03:42 65599      /usr/lib/libfontconfig.so.1.0.4
00631000-00634000 rwxp 00026000 03:42 65599      /usr/lib/libfontconfig.so.1.0.4
00634000-00635000 rwxp 00634000 00:00 0
00635000-00643000 r-xp 00000000 03:42 3014861    /usr/X11R6/lib/libXext.so.6.4
00643000-00644000 rwxp 0000e000 03:42 3014861    /usr/X11R6/lib/libXext.so.6.4
00644000-00656000 r-xp 00000000 03:42 65668      /usr/lib/libz.so.1.2.2.2
00656000-00657000 rwxp 00011000 03:42 65668      /usr/lib/libz.so.1.2.2.2
00657000-00658000 r-xp 00000000 03:42 7028858    /usr/lib/gconv/ISO8859-1.so
00658000-0065a000 rwxp 00000000 03:42 7028858    /usr/lib/gconv/ISO8859-1.so
0065a000-0065c000 r-xp 00000000 03:42 66965      /usr/lib/libkrb5support.so.0.0
0065c000-0065d000 rwxp 00001000 03:42 66965      /usr/lib/libkrb5support.so.0.0
0065d000-0065f000 r-xp 00000000 03:42 344167    
/usr/lib/pango/1.4.0/modules/pango-basic-fc.so
0065f000-00660000 rwxp 00001000 03:42 344167    
/usr/lib/pango/1.4.0/modules/pango-basic-fc.so
00660000-00661000 r-xp 00660000 00:00 0
00661000-006c2000 r-xp 00000000 03:42 65574      /usr/lib/libfreetype.so.6.3.7
006c2000-006c9000 rwxp 00061000 03:42 65574      /usr/lib/libfreetype.so.6.3.7
006c9000-006ec000 r-xp 00000000 03:42 66391      /usr/lib/libpangoft2-1.0.so.0.800.1
006ec000-006ee000 rwxp 00022000 03:42 66391      /usr/lib/libpangoft2-1.0.so.0.800.1
006ee000-006f7000 r-xp 00000000 03:42 180703    
/usr/lib/jpilot/plugins/libexpense.so.0.0.0
006f7000-006f8000 rwxp 00009000 03:42 180703    
/usr/lib/jpilot/plugins/libexpense.so.0.0.0
006f8000-0070e000 r-xp 00000000 03:42 66949      /usr/lib/libgssapi_krb5.so.2.2
0070e000-0070f000 rwxp 00016000 03:42 66949      /usr/lib/libgssapi_krb5.so.2.2
0070f000-00732000 r-xp 00000000 03:42 66953      /usr/lib/libk5crypto.so.3.0
00732000-00733000 rwxp 00023000 03:42 66953      /usr/lib/libk5crypto.so.3.0
00733000-00739000 r-xp 00000000 03:42 5980213   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
00739000-0073b000 rwxp 00006000 03:42 5980213   
/usr/lib/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so
0073b000-00742000 r-xp 00000000 03:42 3014899    /usr/X11R6/lib/libXrender.so.1.2.2
00742000-00743000 rwxp 00007000 03:42 3014899    /usr/X11R6/lib/libXrender.so.1.2.2
00743000-00752000 r-xp 00000000 03:07 852036     /lib/libresolv-2.3.5.so
00752000-00753000 r-xp 0000e000 03:07 852036     /lib/libresolv-2.3.5.so
00753000-00754000 rwxp 0000f000 03:07 852036     /lib/libresolv-2.3.5.so
00754000-00756000 rwxp 00754000 00:00 0
00756000-0075f000 r-xp 00000000 03:07 852018     /lib/libnss_files-2.3.5.so
0075f000-00760000 r-xp 00008000 03:07 852018     /lib/libnss_files-2.3.5.so
00760000-00761000 rwxp 00009000 03:07 852018     /lib/libnss_files-2.3.5.so
00768000-007ec000 r-xp 00000000 03:42 66648      /usr/lib/libglib-2.0.so.0.600.4
007ec000-007f1000 rwxp 00084000 03:42 66648      /usr/lib/libglib-2.0.so.0.600.4
007f1000-00860000 r-xp 00000000 03:42 66963      /usr/lib/libkrb5.so.3.2
00860000-00863000 rwxp 0006e000 03:42 66963      /usr/lib/libkrb5.so.3.2
00863000-00873000 r-xp 00000000 03:42 5980186   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
00873000-00874000 rwxp 0000f000 03:42 5980186   
/usr/lib/gtk-2.0/2.4.0/engines/libclearlooks.so
00885000-00887000 r-xp 00000000 03:42 3014887    /usr/X11R6/lib/libXinerama.so.1.0
00887000-00888000 rwxp 00001000 03:42 3014887    /usr/X11R6/lib/libXinerama.so.1.0
0088b000-0088f000 r-xp 00000000 03:42 3014821    /usr/X11R6/lib/libXfixes.so.3.0
0088f000-00890000 rwxp 00003000 03:42 3014821    /usr/X11R6/lib/libXfixes.so.3.0
008b5000-008c7000 r-xp 00000000 03:42 3014884    /usr/X11R6/lib/libXft.so.2.1.2
008c7000-008c8000 rwxp 00012000 03:42 3014884    /usr/X11R6/lib/libXft.so.2.1.2
008dd000-008e6000 r-xp 00000000 03:42 3014810    /usr/X11R6/lib/libXcursor.so.1.0.2
008e6000-008e7000 rwxp 00008000 03:42 3014810    /usr/X11R6/lib/libXcursor.so.1.0.2
00902000-00905000 r-xp 00000000 03:42 66935      /usr/lib/libgmodule-2.0.so.0.600.4
00905000-00906000 rwxp 00002000 03:42 66935      /usr/lib/libgmodule-2.0.so.0.600.4
0091f000-00921000 r-xp 00000000 03:42 3555337   
/usr/X11R6/lib/X11/locale/lib/common/xlcDef.so.2
00921000-00922000 rwxp 00001000 03:42 3555337   
/usr/X11R6/lib/X11/locale/lib/common/xlcDef.so.2
00927000-00929000 r-xp 00000000 03:07 852011     /lib/libcom_err.so.2.1
00929000-0092a000 rwxp 00001000 03:07 852011     /lib/libcom_err.so.2.1
009ce000-009f9000 r-xp 00000000 03:42 66012      /usr/lib/libpisock.so.9.0.0
009f9000-009fd000 rwxp 0002b000 03:42 66012      /usr/lib/libpisock.so.9.0.0
00a34000-00a3c000 r-xp 00000000 03:42 180702    
/usr/lib/jpilot/plugins/libkeyring.so.0.0.0
00a3c000-00a3d000 rwxp 00008000 03:42 180702    
/usr/lib/jpilot/plugins/libkeyring.so.0.0.0
00a4a000-00a4f000 r-xp 00000000 03:42 66711      /usr/lib/libpangoxft-1.0.so.0.800.1
00a4f000-00a50000 rwxp 00005000 03:42 66711      /usr/lib/libpangoxft-1.0.so.0.800.1
00abf000-00ac8000 r-xp 00000000 03:07 852412     /lib/libgcc_s-4.0.0-20050520.so.1
00ac8000-00ac9000 rwxp 00009000 03:07 852412     /lib/libgcc_s-4.0.0-20050520.so.1
00b32000-00b4f000 r-xp 00000000 03:42 65616      /usr/lib/libexpat.so.0.5.0
00b4f000-00b51000 rwxp 0001c000 03:42 65616      /usr/lib/libexpat.so.0.5.0
00b98000-00bc8000 r-xp 00000000 03:42 66367      /usr/lib/libpango-1.0.so.0.800.1
00bc8000-00bce000 rwxp 00030000 03:42 66367      /usr/lib/libpango-1.0.so.0.800.1
00c42000-00d12000 r-xp 00000000 03:42 3014759    /usr/X11R6/lib/libX11.so.6.2
00d12000-00d16000 rwxp 000cf000 03:42 3014759    /usr/X11R6/lib/libX11.so.6.2
00d45000-00d47000 r-xp 00000000 03:07 852396     /lib/libdl-2.3.5.so
00d47000-00d48000 r-xp 00001000 03:07 852396     /lib/libdl-2.3.5.so
00d48000-00d49000 rwxp 00002000 03:07 852396     /lib/libdl-2.3.5.so
00d7e000-00d88000 r-xp 00000000 03:42 66633      /usr/lib/libpangox-1.0.so.0.800.1
00d88000-00d89000 rwxp 00009000 03:42 66633      /usr/lib/libpangox-1.0.so.0.800.1
00e8d000-00e8f000 r-xp 00000000 03:42 7028860    /usr/lib/gconv/CP1252.so
00e8f000-00e91000 rwxp 00001000 03:42 7028860    /usr/lib/gconv/CP1252.so
00eb7000-00ed9000 r-xp 00000000 03:07 852397     /lib/libm-2.3.5.so
00ed9000-00eda000 r-xp 00021000 03:07 852397     /lib/libm-2.3.5.so
00eda000-00edb000 rwxp 00022000 03:07 852397     /lib/libm-2.3.5.so
00f7c000-00fb4000 r-xp 00000000 03:42 66937      /usr/lib/libgobject-2.0.so.0.600.4
00fb4000-00fb8000 rwxp 00037000 03:42 66937      /usr/lib/libgobject-2.0.so.0.600.4
00fb8000-010b7000 r-xp 00000000 03:07 852302     /lib/libcrypto.so.0.9.7a
010b7000-010c9000 rwxp 000fe000 03:07 852302     /lib/libcrypto.so.0.9.7a
010c9000-010cc000 rwxp 010c9000 00:00 0
08048000-080c3000 r-xp 00000000 03:42 35085      /usr/bin/jpilot
080c3000-080c5000 rw-p 0007b000 03:42 35085      /usr/bin/jpilot
080c5000-080c8000 rw-p 080c5000 00:00 0
0927f000-0938f000 rw-p 0927f000 00:00 0          [heap]
b7a00000-b7a21000 rw-p b7a00000 00:00 0
b7a21000-b7b00000 ---p b7a21000 00:00 0
b7c16000-b7c46000 rw-s 00000000 00:07 26279962   /SYSV00000000 (deleted)
b7c46000-b7cf1000 r--p 00000000 03:42 5390583   
/usr/share/fonts/java/LucidaSansRegular.ttf
b7cf1000-b7cf2000 rw-p b7cf1000 00:00 0
b7cf2000-b7cf8000 r--s 00000000 03:42 7028911    /usr/lib/gconv/gconv-modules.cache
b7cf8000-b7cf9000 r--p 00f1a000 03:42 98690      /usr/lib/locale/locale-archive
b7cf9000-b7d2b000 r--p 00ed2000 03:42 98690      /usr/lib/locale/locale-archive
b7d2b000-b7f2b000 r--p 00000000 03:42 98690      /usr/lib/locale/locale-archive
b7f2b000-b7f32000 rw-p b7f2b000 00:00 0
b7f48000-b7f4a000 rw-p b7f48000 00:00 0
bfe35000-bfe4a000 rw-p bfe35000 00:00 0          [stack]
Aborted
Comment 9 Raman Gupta 2005-06-20 13:59:38 EDT
Created attachment 115706 [details]
Latin1-No Conversion set, Debug output from Version in Comment #6
Comment 10 Bob Arendt 2005-06-20 15:02:32 EDT
I believe I've resolved my problem - the version of pilot-link was incompatible.

Works (FC4 iso's):
  pilot-link-0.12.0-0.pre2.0
  jpilot-0.99.8-0.pre8.4

Works (current updates):
  pilot-link-0.12.0-0.pre3.0
  jpilot-0.99.8-0.pre9

Broken (what I was running):
  pilot-link-0.12.0-0.pre2.0
  jpilot-0.99.8-0.pre9

It looks like pilot-link was posted to updates about a day after the
jpilot update went out (seen on RedHat server), so a daily updater is
likely to run into this problem:
  jpilot     posted 16-Jun-2005 10:42
  pilot-link posted 17-Jun-2005 11:36

So jpilot has a stronger dependency (in this case) on the pilot-link
version than the RPM requirements state.

As the original poster, I'm willing to close this bug if this solves the
issue for other posters problems as well.
Comment 11 Raman Gupta 2005-06-20 16:45:43 EDT
I have confirmed that with the latest jpilot and pilot-link updated earlier
today, everything is working.
Comment 12 Ivana Varekova 2005-06-21 03:24:28 EDT
Bob is right jpilot-0.99.8-0.pre9 is build against pilot-link-0.12.0-0.pre3.0.
Thank you for your notices.

Note You need to log in before you can comment on or make changes to this bug.